Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -17335,24 +17335,24 @@
        
        
-       if ( k_ref .eq. 27 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 27 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 7.1820E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.1815E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.0693E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.7675E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.1904E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.3416E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7389E-4
            
@@ -17364,24 +17364,24 @@
        
        
-       if ( k_ref .eq. 28 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 28 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 8.9801E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.9794E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.8255E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.0966E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.0671E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.0001E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.242E-4
            
@@ -17393,24 +17393,24 @@
        
        
-       if ( k_ref .eq. 29 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 29 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.1145E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1144E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0932E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.6421E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.0487E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.7209E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.7768E-4
            
@@ -17422,24 +17422,24 @@
        
        
-       if ( k_ref .eq. 30 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 30 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.3709E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3708E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3415E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0387E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.1001E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.4689E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.3085E-4
            
@@ -17451,24 +17451,24 @@
        
        
-       if ( k_ref .eq. 31 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 31 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.6712E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.671E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.63E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.2296E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.1648E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.1899E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.787E-4
            
@@ -17480,24 +17480,24 @@
        
        
-       if ( k_ref .eq. 32 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 32 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.0296E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.0293E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9704E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4366E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.1906E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.8278E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.1594E-4
            
@@ -17509,24 +17509,24 @@
        
        
-       if ( k_ref .eq. 33 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 33 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.4971E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4967E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4078E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6751E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.017E-3
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.3425E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.3723E-4
            
@@ -17538,24 +17538,24 @@
        
        
-       if ( k_ref .eq. 34 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 34 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 3.2169E-3
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.2161E-3
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.0665E-3
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9861E-3
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1059E-3
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.6337E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.2801E-4
            
@@ -17567,5 +17567,5 @@
        
 !#ifdef ISOVERIF
-!          if (k.eq.klev) THEN
+!          if (k.EQ.klev) THEN
 !          WRITE(*,*) 'iso_tritium 1096'
 !          WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
@@ -17581,6 +17581,6 @@
 
 #ifdef ISOVERIF
-          if (iso_verif_positif_strict_nostop(d_xt_cosmo(ixt,i,k), &
-            'iso_tritium 1110 : d_xt_cosmo negatif ou pas').eq.1) THEN
+          IF (iso_verif_positif_strict_nostop(d_xt_cosmo(ixt,i,k), &
+            'iso_tritium 1110 : d_xt_cosmo negatif ou pas').EQ.1) THEN
           WRITE(*,*) 'i,k,klev=',i,k,klev
           WRITE(*,*) 'latitude_deg,latitude=',latitude_deg(i),latitude(i)
@@ -17604,6 +17604,6 @@
          d_xt_cosmo(ixt,i,k)=d_xt_cosmo(ixt,i,k)*masse_tritium*1000.
 #ifdef ISOVERIF
-         if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) THEN
-            if (d_xt_cosmo(ixt,i,k).eq.0) THEN
+         IF ((iso_HTO.gt.0).AND.(ixt.EQ.iso_HTO)) THEN
+            IF (d_xt_cosmo(ixt,i,k).EQ.0) THEN
                WRITE(*,*) 'prod cosmo nulle iso_tritium 1134'
                WRITE(*,*) 'ixt,i,k',ixt,i,k
@@ -17611,5 +17611,5 @@
                stop
             endif
-!            if ((k.eq.klev).and.(ixt.eq.iso_HTO)) THEN
+!            if ((k.EQ.klev).AND.(ixt.EQ.iso_HTO)) THEN
 !               WRITE(*,*) 'iso_tritium 1140'
 !               WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
@@ -17629,6 +17629,6 @@
           do i=1,klon ! boucler sur toutes les points horizontaux
           do k=1,klev ! boucler sur l'échelle vertical
-            if (iso_verif_noNAN_nostop(d_xt_cosmo(ixt,i,k), &
-               'iso_tritium cosmo 1151').eq.1) THEN
+            IF (iso_verif_noNAN_nostop(d_xt_cosmo(ixt,i,k), &
+               'iso_tritium cosmo 1151').EQ.1) THEN
           WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
           WRITE(*,*) 'latitude_deg,latitude=',latitude_deg(i),latitude(i)
@@ -17655,7 +17655,7 @@
 ! --------------------------------------------------------------------------------
        
-      if (ok_prod_nucl_tritium) then ! production nucleaire de tritium = true 
+      IF (ok_prod_nucl_tritium) then ! production nucleaire de tritium = true
           
-          if (iso_HTO.gt.0) then ! Tritium
+          IF (iso_HTO.gt.0) then ! Tritium
              ixt=iso_HTO 
              
@@ -17665,5 +17665,5 @@
            WRITE(*,*) 'j_1ere_bombe, nbombe', j_1ere_bombe, nbombe
  
-             if (nbombe.ge.1) then ! si c'est un jour avec un ou plusieurs essais nucleaires
+             IF (nbombe.ge.1) then ! si c'est un jour avec un ou plusieurs essais nucleaires
                  CALL lancer_bombes(nbombe, j_1ere_bombe, &
                                     zphi, &
@@ -17680,8 +17680,8 @@
       do i=1,klon ! boucler sur toutes les points horizontaux
       do k=1,klev ! boucler sur l'échelle verticle
-         if ((.not.ok_prod_nucl_tritium).or. &
-             (iso_HTO.eq.0).or.(ixt.ne.iso_HTO).or. &
-            (nbombe.eq.0)) THEN
-            if (d_xt_prod_nucl(ixt,i,k).ne.0.) THEN
+         IF ((.NOT.ok_prod_nucl_tritium).OR. &
+             (iso_HTO.EQ.0).OR.(ixt.NE.iso_HTO).OR. &
+            (nbombe.EQ.0)) THEN
+            IF (d_xt_prod_nucl(ixt,i,k).NE.0.) THEN
             WRITE(*,*) 'iso_tritium 1208 apres d_xt_prod_nucl'
             WRITE(*,*) 'la prod nucleaire d isotopes devrait etre nulle'
@@ -17700,6 +17700,6 @@
           do i=1,klon ! boucler sur toutes les points horizontaux
           do k=1,klev ! boucler sur l'échelle verticae
-            if (iso_verif_noNAN_nostop(d_xt_prod_nucl(ixt,i,k), &
-               'iso_tritium prod nucl 1225').eq.1) THEN
+            IF (iso_verif_noNAN_nostop(d_xt_prod_nucl(ixt,i,k), &
+               'iso_tritium prod nucl 1225').EQ.1) THEN
           WRITE(*,*) 'ixt,i,k,latitude_deg(i)',ixt,i,k,latitude_deg(i)
           stop
@@ -17720,5 +17720,5 @@
 ! ------------------------------------------------------------------------
 #ifdef ISOTRAC
-        if (iso_HTO.gt.0) THEN
+        IF (iso_HTO.gt.0) THEN
         WRITE(*,*) 'cas pas prevu, a coder'
         ! utiliser index_iso au lieu de ixt dans la condition ci dessous
@@ -17728,5 +17728,5 @@
 #endif
         do ixt=1,ntraciso ! boucler sur tous les isotopes
-           if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) then ! Tritium
+           IF ((iso_HTO.gt.0).AND.(ixt.EQ.iso_HTO)) then ! Tritium
            do i=1,klon ! boucler sur toutes les points horizontaux
            do k=1,klev ! boucler sur l'échelle verticale
@@ -17758,5 +17758,5 @@
 
 !#ifdef ISOVERIF
-!      if ((ixt.eq.iso_HTO).and.(k.ge.(klev-2))) then !ok
+!      if ((ixt.EQ.iso_HTO).AND.(k.ge.(klev-2))) then !ok
 !         WRITE(*,*) 'iso_tritium 1284 - test concentration totale'
 !         WRITE(*,*) 'ixt,i,k,klev=',ixt,i,k,klev
@@ -17815,8 +17815,8 @@
 
 !     local
-      integer iessai
-
-
-      if (ok_prod_nucl_tritium) THEN
+      INTEGER iessai
+
+
+      IF (ok_prod_nucl_tritium) THEN
       ! tableau pour day_nucl
       open(30, file='day_nucl.txt')
@@ -17930,14 +17930,14 @@
 !     &                               year_essai, j_1ere_bombe, nbombe)
 
-      use phys_cal_mod ! pour le calendrier
-      use isotopes_mod, ONLY: nessai, day_nucl, month_nucl, year_nucl
+      USE phys_cal_mod ! pour le calendrier
+      USE isotopes_mod, ONLY: nessai, day_nucl, month_nucl, year_nucl
       IMPLICIT NONE
 
       ! Arguments
-      integer nbombe,j_1ere_bombe ! pour un jour dans la simulation, on cherche le nombre de bombes nbombe de la journee et la ligne correspondant a la 1ere bombe de cette journee
+      INTEGER nbombe,j_1ere_bombe ! pour un jour dans la simulation, on cherche le nombre de bombes nbombe de la journee et la ligne correspondant a la 1ere bombe de cette journee
 !      integer day_essai(nessai),month_essai(nessai),year_essai(nessai) ! date (jour, mois, annee) des essais nucleaires
 
       ! local
-      integer j ! indices
+      INTEGER j ! indices
  
       ! initialisation
@@ -17948,15 +17948,15 @@
 
       do j=1,nessai ! il faut que le tableau d'entree soit dans l'ordre chronologique
-         if (nbombe.eq.0) THEN
-            if ((day_cur.eq.day_nucl(j)).and. &
-                (mth_cur.eq.month_nucl(j)).and. &
-                (year_cur.eq.year_nucl(j))) THEN
+         IF (nbombe.EQ.0) THEN
+            IF ((day_cur.EQ.day_nucl(j)).AND. &
+                (mth_cur.EQ.month_nucl(j)).AND. &
+                (year_cur.EQ.year_nucl(j))) THEN
             nbombe=1
             j_1ere_bombe=j
             endif
          else
-            if ((day_cur.eq.day_nucl(j)).and. &
-               (mth_cur.eq.month_nucl(j)).and. &
-               (year_cur.eq.year_nucl(j))) THEN
+            IF ((day_cur.EQ.day_nucl(j)).AND. &
+               (mth_cur.EQ.month_nucl(j)).AND. &
+               (year_cur.EQ.year_nucl(j))) THEN
                nbombe=nbombe+1
             else
@@ -17997,8 +17997,8 @@
 !     &                         prod_nucl_HTO)
 
-        use isotopes_mod, ONLY: nessai, lat_nucl, lon_nucl, &
+        USE isotopes_mod, ONLY: nessai, lat_nucl, lon_nucl, &
 &               zmin_nucl, zmax_nucl, HTO_nucl
         USE dimphy, ONLY: klon,klev
-        use lmdz_geometry, ONLY: latitude_deg,longitude_deg
+        USE lmdz_geometry, ONLY: latitude_deg,longitude_deg
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -18008,22 +18008,22 @@
 !     Arguments
       !integer iim, jjm
-      integer nbombe, j_1ere_bombe
+      INTEGER nbombe, j_1ere_bombe
       !integer klon, klev
       !integer ntest
-      real zphi(klon,klev)
+      REAL zphi(klon,klev)
       !real rlat(klon), rlon(klon)
-      real paprs(klon,klev+1)
+      REAL paprs(klon,klev+1)
       !real lat_nucl(ntest), lon_nucl(ntest) ! latitude et longitude des essais nucleaires
       !real zmin_nucl(ntest), zmax_nucl(ntest) ! altitudes min et max des nbombes champignons atomiques
       !real HTO_nucl(ntest) ! production de HTO en kg par les essais nucleaires
-      real prod_nucl_HTO(ntraciso,klon,klev) ! calcul de la production de tritium (kg/kg d'air) liee aux essais nucleaire de la journee --> d_xt_prod_nucl(ntraciso,klon,klev)
+      REAL prod_nucl_HTO(ntraciso,klon,klev) ! calcul de la production de tritium (kg/kg d'air) liee aux essais nucleaire de la journee --> d_xt_prod_nucl(ntraciso,klon,klev)
 
 !     local
-      integer ibombe,jessai
-      real lat_HTO, lon_HTO ! latitude et longitude de l'essai nucleaire jessai
-      real zmin_HTO, zmax_HTO ! altitudes min et max du champignon atomique jessai
-      real P_HTO ! production de HTO en kg de l'essai nucleaire jessai
-      integer coord_HTO 
-      integer kmin_HTO, kmax_HTO ! coordonnees lat, lon, zmin et zmax de l'essai nucleaire jessai
+      INTEGER ibombe,jessai
+      REAL lat_HTO, lon_HTO ! latitude et longitude de l'essai nucleaire jessai
+      REAL zmin_HTO, zmax_HTO ! altitudes min et max du champignon atomique jessai
+      REAL P_HTO ! production de HTO en kg de l'essai nucleaire jessai
+      INTEGER coord_HTO
+      INTEGER kmin_HTO, kmax_HTO ! coordonnees lat, lon, zmin et zmax de l'essai nucleaire jessai
 
       do ibombe=1,nbombe
@@ -18049,5 +18049,5 @@
                                   kmin_HTO,kmax_HTO)
             
-         if (coord_HTO.gt.0) then ! quand on trouve les coordonnees de l'essai nucleaire dans la simulation
+         IF (coord_HTO.gt.0) then ! quand on trouve les coordonnees de l'essai nucleaire dans la simulation
        WRITE(*,*) 'iso_tritium 1552 dans SUBROUTINE lancer_bombes'
        WRITE(*,*) 'Apres CALL coord_prod_nucl_HTO pour coord_HTO>0'
@@ -18077,5 +18077,5 @@
                                      kmin_jessai,kmax_jessai)
         USE dimphy, ONLY: klon,klev
-        use lmdz_geometry, ONLY: latitude_deg,longitude_deg
+        USE lmdz_geometry, ONLY: latitude_deg,longitude_deg
         USE lmdz_yomcst
 #ifdef ISOVERIF
@@ -18089,14 +18089,14 @@
       !integer klon, klev ! indices grilles horizontales et verticales
       !integer iim, jjm ! nombre de mailles en longitude et latitude 
-      real zphi(klon,klev) ! input-R-geopotentiel de chaque couche (reference ocean, en m2/s2)
+      REAL zphi(klon,klev) ! input-R-geopotentiel de chaque couche (reference ocean, en m2/s2)
       !real rlat(klon), rlon(klon) ! latitude et longitude en degres
-      real lat_jessai, lon_jessai ! latitude et longitude de l'essai nucleaire jessai
-      real zmin_jessai, zmax_jessai ! altitudes min et max du champignon atomique jessai
-      integer coord_jessai, kmin_jessai, kmax_jessai ! coordonnees lat, lon, zmin et zmax en sortie de la SUBROUTINE de l'essai nucleaire jessai
+      REAL lat_jessai, lon_jessai ! latitude et longitude de l'essai nucleaire jessai
+      REAL zmin_jessai, zmax_jessai ! altitudes min et max du champignon atomique jessai
+      INTEGER coord_jessai, kmin_jessai, kmax_jessai ! coordonnees lat, lon, zmin et zmax en sortie de la SUBROUTINE de l'essai nucleaire jessai
 
 !     local
-      integer i,k ! pour le boucles
-      real dlat, dlon ! pas en latitude et longitude
-      real alt(klon,klev) ! altitude a chaque niveau
+      INTEGER i,k ! pour le boucles
+      REAL dlat, dlon ! pas en latitude et longitude
+      REAL alt(klon,klev) ! altitude a chaque niveau
 
 !     initialisation
@@ -18127,10 +18127,10 @@
         ! ajout Camille Risi 14 aout 2017: calcul local de dlat et dlon en cas
         ! de grille zoomée
-        if (i.gt.1) THEN
+        IF (i.gt.1) THEN
           dlon=longitude_deg(i)-longitude_deg(i-1)
         else
           dlon=longitude_deg(i+1)-longitude_deg(i)
         endif        
-        if (i.gt.iim) THEN
+        IF (i.gt.iim) THEN
           dlat=latitude_deg(i)-latitude_deg(i-iim)
         else
@@ -18143,20 +18143,20 @@
         CALL iso_verif_positif(20.0-dlat,'iso_routines 18504d')
 #endif
-         if (((latitude_deg(i)-dlat/2.).le.lat_jessai).and. &
-             ((latitude_deg(i)+dlat/2.).gt.lat_jessai).and. &
-             ((longitude_deg(i)-dlon/2.).le.lon_jessai).and. &
+         IF (((latitude_deg(i)-dlat/2.).le.lat_jessai).AND. &
+             ((latitude_deg(i)+dlat/2.).gt.lat_jessai).AND. &
+             ((longitude_deg(i)-dlon/2.).le.lon_jessai).AND. &
              ((longitude_deg(i)+dlon/2.).gt.lon_jessai)) THEN
                 coord_jessai=i
-                if (alt(i,1).ge.zmin_jessai)    kmin_jessai = 1 ! si base du champignon est plus bas que le niveau 1 dans le modele
-                if (alt(i,1).ge.zmax_jessai)    kmax_jessai = 2 ! si le haut du champignon est plus bas que le niveau 1 du modele
-                if (alt(i,klev).lt.zmin_jessai) kmin_jessai = klev  ! si base du champignon est plus haut que le niveau klev dans le modele
-                if (alt(i,klev).lt.zmax_jessai) kmax_jessai = klev ! si le haut du champignon est plus haut que le niveau klev du modele
+                IF (alt(i,1).ge.zmin_jessai)    kmin_jessai = 1 ! si base du champignon est plus bas que le niveau 1 dans le modele
+                IF (alt(i,1).ge.zmax_jessai)    kmax_jessai = 2 ! si le haut du champignon est plus bas que le niveau 1 du modele
+                IF (alt(i,klev).lt.zmin_jessai) kmin_jessai = klev  ! si base du champignon est plus haut que le niveau klev dans le modele
+                IF (alt(i,klev).lt.zmax_jessai) kmax_jessai = klev ! si le haut du champignon est plus haut que le niveau klev du modele
                 do k=1,klev-1
-                    if ((alt(i,k).lt.zmin_jessai).and. &
+                    IF ((alt(i,k).lt.zmin_jessai).AND. &
                         (alt(i,k+1).ge.zmin_jessai)) THEN
                          kmin_jessai = max(1,k) ! si base du champignon est entre le niveau k et k+1
                     endif
 
-                    if ((alt(i,k).lt.zmax_jessai).and. &
+                    IF ((alt(i,k).lt.zmax_jessai).AND. &
                         (alt(i,k+1).ge.zmax_jessai)) THEN
                          kmax_jessai = min(k+1,klev) ! si le haut du champignon est entre le niveau k et k+1
@@ -18168,5 +18168,5 @@
 
 #ifdef ISOVERIF
-      if (kmin_jessai.gt.kmax_jessai) then ! on plante si kmin>=kmax pour k<klev
+      IF (kmin_jessai.gt.kmax_jessai) then ! on plante si kmin>=kmax pour k<klev
          WRITE(*,*) 'Pb SUBROUTINE coord_prod_nucl_HTO(kmin>kmax)'
          WRITE(*,*) 'coord_jessai', coord_jessai
@@ -18177,5 +18177,5 @@
        endif
 
-      if ((kmin_jessai.eq.klev).and.(kmax_jessai.ne.klev)) then ! on plante si on n'a pas kmax=klev quand kmin=klev
+      IF ((kmin_jessai.EQ.klev).AND.(kmax_jessai.NE.klev)) then ! on plante si on n'a pas kmax=klev quand kmin=klev
          WRITE(*,*) 'Pb SUBROUTINE coord_prod_nucl_HTO(kmin=klev)'
          WRITE(*,*) 'coord_jessai', coord_jessai
@@ -18218,6 +18218,6 @@
                                       prod_nucl)
         USE isotopes_mod, ONLY: iso_HTO
-        use lmdz_geometry, ONLY: cell_area
-        use dimphy, ONLY: klon,klev
+        USE lmdz_geometry, ONLY: cell_area
+        USE dimphy, ONLY: klon,klev
         USE lmdz_yomcst
 #ifdef ISOVERIF
@@ -18227,16 +18227,16 @@
 
 !     Arguments
-      real P_jessai ! production de HTO en kg par l'essai nucleaire jessai
-      integer coord_jessai ! indice de coordonnee lat(coord_jessai) et lon(coord_jessai) de l'essai nucleaire jessai
-      integer kmin_jessai, kmax_jessai ! indice de hauteur (ou pression) min et max du champignon atomique jessai
+      REAL P_jessai ! production de HTO en kg par l'essai nucleaire jessai
+      INTEGER coord_jessai ! indice de coordonnee lat(coord_jessai) et lon(coord_jessai) de l'essai nucleaire jessai
+      INTEGER kmin_jessai, kmax_jessai ! indice de hauteur (ou pression) min et max du champignon atomique jessai
       !integer klon, klev
-      real paprs(klon,klev+1)  ! input-R-pression pour chaque inter-couche (en Pa) 
+      REAL paprs(klon,klev+1)  ! input-R-pression pour chaque inter-couche (en Pa)
       !real airephy(klon) ! aire d'une grille (m2)
-      real prod_nucl(ntraciso,klon,klev) ! calcul de la production de HTO en kg par kg d'air sur la journee entre zmin et zmax --> d_xt_prod_nucl
+      REAL prod_nucl(ntraciso,klon,klev) ! calcul de la production de HTO en kg par kg d'air sur la journee entre zmin et zmax --> d_xt_prod_nucl
 
 !     local
-      integer ixt,i,j,k ! pour les boucles
-      real day_sec ! 1 jour en secondes
-      real prod_nucl_tmp(klon,klev) ! calcul de la production de HTO en kg/kg d'air pour l'essai nucleaire jessai
+      INTEGER ixt,i,j,k ! pour les boucles
+      REAL day_sec ! 1 jour en secondes
+      REAL prod_nucl_tmp(klon,klev) ! calcul de la production de HTO en kg/kg d'air pour l'essai nucleaire jessai
 
       day_sec = 86400.
@@ -18254,5 +18254,5 @@
 !#endif
 
-      if (kmin_jessai.lt.klev) then ! si kmin < klev, normalement kmin < kmax
+      IF (kmin_jessai.lt.klev) then ! si kmin < klev, normalement kmin < kmax
          do k=kmin_jessai,kmax_jessai
               prod_nucl_tmp(j,k) =  &
@@ -18262,5 +18262,5 @@
               prod_nucl(ixt,j,k)=prod_nucl(ixt,j,k)+prod_nucl_tmp(j,k)
 #ifdef ISOVERIF
-       if (kmin_jessai.ge.kmax_jessai) THEN
+       IF (kmin_jessai.ge.kmax_jessai) THEN
        WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k<klev)'
        WRITE(*,*) 'kmin_HTO devrait etre plus petit que kmax_HTO'
@@ -18271,5 +18271,5 @@
        endif
 
-       if ((prod_nucl_tmp(j,k).le.0.).or. &
+       IF ((prod_nucl_tmp(j,k).le.0.).OR. &
             (prod_nucl(ixt,j,k).le.0.)) THEN
        WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k<klev)'
@@ -18296,6 +18296,6 @@
               prod_nucl(ixt,j,k)=prod_nucl(ixt,j,k)+prod_nucl_tmp(j,k)
 #ifdef ISOVERIF
-       if ((kmin_jessai.ne.kmax_jessai).and. &
-           (kmin_jessai.ne.klev)) THEN
+       IF ((kmin_jessai.NE.kmax_jessai).AND. &
+           (kmin_jessai.NE.klev)) THEN
        WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k=klev)'
        WRITE(*,*) 'kmin_HTO et kmax_HTO devraient etre egaux a klev'
@@ -18306,5 +18306,5 @@
        endif
 
-       if ((prod_nucl_tmp(j,k).le.0.).or. &
+       IF ((prod_nucl_tmp(j,k).le.0.).OR. &
            (prod_nucl(ixt,j,k).le.0.)) THEN
        WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k=klev)'
@@ -18364,5 +18364,5 @@
 &       bidouille_anti_divergence,ridicule
 !    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectiso
-    use isotrac_mod, ONLY: index_iso, index_zone,option_traceurs,izone_cond
+    USE isotrac_mod, ONLY: index_iso, index_zone,option_traceurs,izone_cond
 #ifdef ISOVERIF
     USE isotopes_verif_mod
